<div *ngIf="sizingFormData" id="sizing-reuquest-modal" class="app-modal medium d-flex justify-content-center">
    <div class="app-modal-wrapper d-flex flex-column">
        <div class="app-modal-header d-flex">
            <div class="title font-bold-23">New Sizing Request</div>
            <app-stepper [steps]=3 [currentStep]="sizingFormData.step"></app-stepper>
            <div class="close-btn" (click)="handleNavigation('cancel')">
                <i class="icon-modal-close"></i>
            </div>
        </div>
        <div class="app-modal-body">
            <!-- First -->
            <div *ngIf="sizingFormData.step === 1">
                <div class="row">
                    <div class="half">
                        <div class="label font-regu-14 color-grey33">Sizing request name</div>
                        <div class="field" [ngClass]="errors.sizingRequestName ? 'has-error' : ''">
                            <input type="text" placeholder="Value" [(ngModel)]="sizingFormData.sizingRequestName"
                                (ngModelChange)="performValidate('sizingRequestName')">
                            <div class="field-error-text"></div>
                            <div class="error font-regu-10">{{errors.sizingRequestName}}</div>
                        </div>
                    </div>
                </div>

                <div class="heading font-bold-16 color-grey1a">Tell us about your organization</div>

                <div class="row">
                    <div class="half">
                        <div class="label  font-regu-14 color-grey33">Company name</div>
                        <div class="field" [ngClass]="errors.companyName ? 'has-error' : ''">
                            <app-auto-suggest [key]="company-names" [selected]="sizingFormData.companyName" [placeholder]="Value" [list]="state.getNames(state.Company)"
                                (textChange)="sizingFormData.companyName = $event; performValidate('companyName')">
                            </app-auto-suggest>
                            <div class="error font-regu-10">{{errors.companyName}}</div>
                        </div>
                    </div>

                    <div class="half">
                        <div class="label  font-regu-14 color-grey33">Industry</div>
                        <div class="field" [ngClass]="errors.industry ? 'has-error' : ''">
                            <select [ngClass]="sizingFormData.industry === '' ? 'placeholder' : ''"
                                [(ngModel)]="sizingFormData.industry" (ngModelChange)="performValidate('industry')"
                                name="dropdown" id="dd-1">
                                <option value="">Select</option>
                                <option *ngFor="let ind of state.getNames(state.Industry)" [value]="ind">{{ind}}</option>
                            </select>
                            <div class="error font-regu-10">{{errors.industry}}</div>
                        </div>
                    </div>
                    <div class="half">
                        <div class="label font-regu-14 color-grey33">Location</div>
                        <div class="field" [ngClass]="errors.location ? 'has-error' : ''">
                            <select [ngClass]="sizingFormData.location === '' ? 'placeholder' : ''"
                                [(ngModel)]="sizingFormData.location" (ngModelChange)="performValidate('location')"
                                name="dropdown" id="dd-1">
                                <option value="">Select</option>
                                <option *ngFor="let loc of state.getNames(state.Location)" [value]="loc">{{loc}}</option>
                            </select>
                            <div class="error font-regu-10">{{errors.location}}</div>
                        </div>
                    </div>
                    <div class="half">
                        <div class="label font-regu-14 color-grey33">Oppurtunity</div>
                        <div class="field" [ngClass]="errors.oppurtunity ? 'has-error' : ''">
                            <input [(ngModel)]="sizingFormData.oppurtunity" (ngModelChange)="performValidate('oppurtunity')"
                                type="text" placeholder="Value">
                            <div class="error font-regu-10">{{errors.oppurtunity}}</div>
                        </div>
                    </div>
                </div>
            </div>


            <!-- Second -->
            <div *ngIf="sizingFormData.step === 2">
                <div class="heading font-bold-16 color-grey1a">Global Parameters</div>

                <div class="row">
                    <div class="col-md-6">
                        <div class="label font-regu-14 color-grey33">Yearly data growth rate ?</div>
                        <div class="field" [ngClass]="errors.dataGrowthRate ? 'has-error' : ''">
                            <input type="text" placeholder="value" [(ngModel)]="sizingFormData.dataGrowthRate"
                                (ngModelChange)="performValidate('dataGrowthRate')">
                            <div class="error font-regu-10">{{errors.dataGrowthRate}}</div>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="label font-regu-14 color-grey33">Are you planning to archive to cloud/object
                            storage/NFS ?
                        </div>
                        <div class="field" [ngClass]="errors.storageType ? 'has-error' : ''">
                            <select [ngClass]="sizingFormData.storageType === '' ? 'placeholder' : ''"
                                [(ngModel)]="sizingFormData.storageType" (ngModelChange)="performValidate('storageType')" name="dropdown"
                                id="dd-1">
                                <option value="">Value</option>
                                <option>Yes</option>
                                <option>No</option>
                            </select>
                            <div class="error font-regu-10">{{errors.storageType}}</div>
                        </div>
                    </div>
                </div>

            </div>



            <!-- Third -->

            <div *ngIf="sizingFormData.step === 3">
                <div class="heading font-bold-16 color-grey1a">Select Workload
                </div>

                <div class="row">

                    <div class="col-md-6">
                        <div class="label font-regu-14 color-grey33">Workload type
                        </div>
                        <div class="field" [ngClass]="errors.workloadType ? 'has-error' : ''">
                            <select [ngClass]="sizingFormData.workloadType === '' ? 'placeholder' : ''"
                                [(ngModel)]="sizingFormData.workloadType" (ngModelChange)="performValidate('workloadType')"
                                >
                                <option value="">select</option>
                                <option *ngFor="let w of state.WorkLoads;">{{w.name}}</option>
                            </select>
                            <div class="error font-regu-10">{{errors.workloadType}}</div>
                        </div>
                    </div>

                    <div class="col-md-6 font-regu-14 color-grey33">
                        <div class="label">Workload name
                        </div>
                        <div class="field" [ngClass]="errors.workloadName ? 'has-error' : ''">
                            <input type="text" [(ngModel)]="sizingFormData.workloadName"
                                placeholder="Enter name"
                                (ngModelChange)="performValidate('workloadName')">
                            <div class="error font-regu-10">{{errors.workloadName}}</div>
                        </div>
                    </div>
                </div>

            </div>

        </div>
        <div class="app-modal-footer d-flex justify-content-end">
            <button class="app-btn app-btn-size-100" (click)="handleNavigation('cancel')">Cancel</button>
            <button class="app-btn app-btn-size-100" *ngIf="sizingFormData.step > 1"
                (click)="handleNavigation('back')">Back</button>
            <button class="app-btn-filled app-btn-size-100" [disabled]="disableButton" *ngIf="sizingFormData.step < 3"
                (click)="handleNavigation('next')">Next</button>
            <button class="app-btn-filled app-btn-size-100" [disabled]="disableButton" *ngIf="sizingFormData.step === 3"
                (click)="handleNavigation('submit')">Submit</button>
        </div>
    </div>

</div>